Pre-compiled IPv4
curl --request GET \
--url https://app.onefirewall.com/api/v1/flat/{min_score} \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/flat/{min_score}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/flat/{min_score}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"IPv4,LiveScore,Members,Reports,LastUpdate,AS,ASN,CDN,Reverse,IS_CDN\nX.Y.Z.W,216,3,21,2023-04-29T04:43:54.000Z,<ASXXXX>,<Autonomous System Name>,<CDN Name>,<reverse DNS query>,<'Well-known CDN' in case of Valid CDN>\nX.Y.Z.W,211,3,45,2023-04-28T09:21:50.000Z,<ASXXXX>,<Autonomous System Name>,<CDN Name>,<reverse DNS query>,<'Well-known CDN' in case of Valid CDN>\nX.Y.Z.W,217,3,32,2023-04-29T05:54:04.000Z,<ASXXXX>,<Autonomous System Name>,<CDN Name>,<reverse DNS query>,<'Well-known CDN' in case of Valid CDN>\nX.Y.Z.W,204,3,53,2023-04-29T04:58:13.000Z,<ASXXXX>,<Autonomous System Name>,<CDN Name>,<reverse DNS query>,<'Well-known CDN' in case of Valid CDN>\n....."IPv4 Feeds
Pre-compiled IPv4
If you need a simple list (example CSV) to retrieve all the IPv4 feeds based on their score, you can use the below API
GET
/
flat
/
{min_score}
Pre-compiled IPv4
Authorizations
Authorization Token
Path Parameters
Required range:
1 < x < 1000Query Parameters
NO=the output is CSV, YES=the output is a list of IPs separated by ‘,’
Available options:
YES, NO Response
200 - text/html
In case of an 200 response the body will be presented as the below examples:
The response is of type string.
⌘I

